treedist.h File Reference

Functions for Tree Edit Distances. More...

Include dependency graph for treedist.h:

Go to the source code of this file.

## Functions

Tree * | make_tree (char *struc)
| Constructs a Tree ( essentially the postorder list ) of the structure 'struc', for use in tree_edit_distance(). More...
float | tree_edit_distance (Tree *T1, Tree *T2)
| Calculates the edit distance of the two trees. More...
void | print_tree (Tree *t)
| Print a tree (mainly for debugging)
void | free_tree (Tree *t)
| Free the memory allocated for Tree t. More...

## Detailed Description

Functions for Tree Edit Distances.

## Function Documentation

Tree* make_tree | ( | char * | struc | ) |

Constructs a Tree ( essentially the postorder list ) of the structure 'struc', for use in tree_edit_distance().

Parameters

  struc | may be any rooted structure representation.

Returns

float tree_edit_distance | ( | Tree * | T1,
|  | Tree * | T2
| ) |  |

Calculates the edit distance of the two trees.

Parameters

  T1 |
  T2 |

Returns

void free_tree | ( | Tree * | t | ) |

Free the memory allocated for Tree t.

Parameters

  t |